# 前言

#### 请求方法

- http://域名/default/svc/web-service


#### 请求方式：

- POST

`POSTMAN请求示例`

![](/uploads/api/images/m_675c17ea7ecda569a43bcbad671ac046_r.png)


#### 请求公共参数:

```xml
<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "pageSize":1,
				  "page":1
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>service</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求公共参数说明:

|参数   |类型   |是否必填   |说明   |
| :------------ | :------------ | :------------ | :------------ |
|appToken   |String   |是   |API密钥   |
|appKey   	|String   |是   |API标识   |
|service   	|String   |是   |接口方法，参考接口方法列表  |
|paramsJson |JSON   |否   |请求的数据内容，json格式   |


#### 返回公共参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|ask   |String   |返回结果，Success表示请求成功，Failure表示请求失败   |
|message   |String   |返回信息   |
|pagination   |Object   |参考pagination格式   |
|count   |int   |总数量   |
|nextPage   |boolean   |是否有下一页，true表示有，false表示没有   |
|data   |Object   |数据内容   |
|error   |Object   |参考error格式   |


#### pagination格式：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|pageSize   |int   |分页大小   |
|page   |int   |当前页   |


#### error格式：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|errCode   |int   |错误代码   |
|errMessage   |String   |错误信息内容   |